Page MenuHomePhabricator

Convert check_elasticsearch.py icinga plugin to py3
Closed, ResolvedPublic

Description

Currently, check_elasticsearch.py plugin for icinga uses python2. Based on ops goal to move completely to python3, It is better to migrate these check to python3

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2019, 5:01 PM
Mathew.onipe triaged this task as Medium priority.Feb 6 2019, 5:02 PM
Mathew.onipe moved this task from needs triage to Ops / SRE on the Discovery-Search board.
Mathew.onipe renamed this task from Convert check_elasticsearch_shards.py icinga plugin to py3 to Convert check_elasticsearch.py icinga plugin to py3.Mar 22 2019, 2:03 AM
Mathew.onipe updated the task description. (Show Details)

Change 498292 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] elasticsearch: convert check to py3

https://gerrit.wikimedia.org/r/498292

Change 498292 merged by Gehel:
[operations/puppet@production] elasticsearch: convert check to py3

https://gerrit.wikimedia.org/r/498292

debt closed this task as Resolved.Apr 5 2019, 10:49 PM